Bug 432192 - subversion does not rebuild
Summary: subversion does not rebuild
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 8
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-09 17:17 UTC by Christoph Karl
Modified: 2009-01-09 07:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:39:27 UTC


Attachments (Terms of Use)

Description Christoph Karl 2008-02-09 17:17:18 UTC
Description of problem:
It is not possible to rebuild the rpm package for subversion.

Version-Release number of selected component (if applicable):
subversion-1.4.4-7.src.rpm

How reproducible:
Always

Steps to Reproduce:
> rpmbuild --rebuild subversion-1.4.4-7.src.rpm
  
Actual results:
Buildprocess breaks, no binary rpms are created.
Last lines form output are:
In file included 
from /usr/src/redhat/BUILD/subversion-1.4.4/subversion/bindings/swig/ruby/libsvn_swig_ruby/swigutil_rb.c:2:
/usr/src/redhat/BUILD/subversion-1.4.4/subversion/bindings/swig/proxy/swig_ruby_external_runtime.swg:819: 
error: redefinition of '_mSWIG'
/usr/src/redhat/BUILD/subversion-1.4.4/subversion/bindings/swig/proxy/rubyhead.swg:107: 
error: previous definition of '_mSWIG' was here
make: *** [subversion/bindings/swig/ruby/libsvn_swig_ruby/swigutil_rb.lo] 
Error 1
error: Bad exit status from /var/tmp/rpm-tmp.49651 (%build)


Expected results:
Clean rebuild.
Creating of binary rpms.

Additional info:

Comment 1 Joe Orton 2008-02-13 15:07:39 UTC
The version of swig was updated from 1.3.31 to 1.3.33, which has triggered this.

The Raw Hide subversion package has the patch which fixes it; 1.4.6 packages are
being built for F7/8 currently.

Comment 2 Laurent Rineau 2008-05-06 09:28:28 UTC
Joe, can you update the status of 1.4.6 in Fedora 7 and Fedora 8? I have seen 
that some recent builds failed on F7 and F8. Ex:
http://koji.fedoraproject.org/koji/buildinfo?buildID=35987

Do you plan to rebuild a recent release of subversion for F7 and F8 
(especially before the EOL of F7)?


Comment 3 Bug Zapper 2008-11-26 09:45:32 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 07:39:27 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.